use standardized variables

This commit is contained in:
George Danchev 2011-06-28 18:42:08 +00:00
parent 07a6b088d6
commit 701764f6d1
2 changed files with 28 additions and 8 deletions

View File

@ -21,7 +21,7 @@ Release Engineering
+ Well documented configuration file SCRIPT.conf.template
+ Throw FAIL string to stdout if any failure is detected
+ Return exit code 0 on success, non-zero on failure
+ Use different exit codes for any failure (range 1-31)
+ Use different exit codes for any failure (range 0-31)
* RUNNING TESTS
+ All tests have to be run from the releng/ directory, within

View File

@ -3,14 +3,34 @@
set -e
START_DIR_DONT_CHANGE=`pwd`
SELF=$(basename "$0")
# required config items
XOR=""
DIR=""
IMG=""
RELENG_XORRISO=""
RELENG_DIR=""
RELENG_IMG=""
printf "\n$0: SCRIPT NOT COMPLETED YET\n"
exit 100
CONFFILE=$HOME/.libburnia-releng/${SELF}.conf
KEEP=0
GEN_DATA_DIR=releng_generated_data/${SELF}
printf "\n$0: FAIL: SCRIPT NOT COMPLETED YET\n"
exit 31
print_help() {
cat << HLP
Usage:
${SELF} -help
# using a config file ${CONFFILE}
${SELF} -rc [-keep]
# without using a config file
${SELF} xorriso_cmd IN_dir OUT_image [-keep]
# cleanup test generated data directory and exit
${SELF} -cleanup
HLP
}
# Thomas:
@ -76,7 +96,7 @@ Sketched by Thomas:
diff -r "$on_disk" "$copy_on_disk"
if test "$?" -ne 0
then
echo 'FAILURE !!!'
echo 'FAIL: Original disk tree and temporary tree differ'
else
echo "Success."
fi